Bio::Tools::Run::StandAloneWUBlast(3)

NAME
Bio::Tools::Run::StandAloneWUBlast - Object for the local execution of WU-Blast.

SYNOPSIS
 # Do not use directly; use Bio::Tools::Run::StandAloneBlast

DESCRIPTION
See Bio::Tools::Run::StandAloneBlast

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Peter Schattner
Email schattner at alum.mit.edu

MAINTAINER - Torsten Seemann
Email torsten at infotech.monash.edu.au

CONTRIBUTORS
Sendu Bala bix@sendu.me.uk (reimplementation)

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Tools::Run::StandAloneBlast->new();
 Function: Builds a newBio::Tools::Run::StandAloneBlast object
 Returns : Bio::Tools::Run::StandAloneBlast
 Args    : -quiet => boolean # make program execution quiet
           -_READMETHOD => 'BLAST' (default, synonym 'SearchIO') || 'blast_pull'
                           # the parsing method, case insensitive

Essentially all BLAST parameters can be set via StandAloneBlast.pm. Some of the most commonly used parameters are listed below. All parameters have defaults and are optional except for -p.

  -p Program Name [String]
        Input should be one of "wublastp", "wublastn", "wublastx",
        "wutblastn", or "wutblastx".
  -d  Database [String] default = nr
        The database specified must first be formatted with xdformat.
  -E  Expectation value (E) [Real] default = 10.0
  -o  BLAST report Output File [File Out]  Optional,
            default = ./blastreport.out ; set by StandAloneBlast.pm

  wublast
 Title   : wublast
 Usage   :  $blast_report = $factory->wublast('t/testquery.fa');
        or
               $input = Bio::Seq->new(-id=>"test query",
                                      -seq=>"ACTACCCTTTAAATCAGTGGGGG");
               $blast_report = $factory->wublast($input);
        or
              $seq_array_ref = \@seq_array;  # where @seq_array is an array of Bio::Seq objects
              $blast_report = $factory->wublast(\@seq_array);
 Returns :  Reference to a Blast object
 Args    : Name of a file or Bio::Seq object or an array of
           Bio::Seq object containing the query sequence(s).
           Throws an exception if argument is not either a string
           (eg a filename) or a reference to a Bio::Seq object
           (or to an array of Seq objects).  If argument is string,
           throws exception if file corresponding to string name can
           not be found.

  _generic_local_wublast
 Title   : _generic_local_wublast
 Usage   :  internal function not called directly
 Returns :  Blast object
 Args    :   Reference to calling object and name of BLAST executable

  _runwublast
 Title   :  _runwublast
 Usage   :  Internal function, not to be called directly
 Function:   makes actual system call to WU-Blast program
 Example :
 Returns : Report Blast object
 Args    : Reference to calling object, name of BLAST executable,
           and parameter string for executable

  _setparams
 Title   : _setparams
 Usage   : Internal function, not to be called directly
 Function: Create parameter inputs for Blast program
 Example :
 Returns : parameter string to be passed to Blast
 Args    : Reference to calling object and name of BLAST executable